# Note that this is NOT a relocatable package
%define ver      1.0.6
%define rel      1
%define prefix   /usr

Summary: The LibGTop library
Name: libgtop
Version: %ver
Release: %rel
Copyright: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/libgtop/libgtop-%{ver}.tar.gz
URL: http://www.home-of-linux.org/gnome/libgtop/
Prereq: /sbin/install-info
Docdir: %{prefix}/doc
BuildRoot: /var/tmp/libgtop-%{PACKAGE_VERSION}-root

%description
A library that fetches information about the running system such as CPU
and memory useage, active processes and more.

On Linux systems, this information is taken directly from the /proc
filesystem while on other systems a server is used to read that
information from other /dev/kmem, among others.

%package devel
Summary: Libraries, includes and other files to develop LibGTop applications.
Group: Development/Libraries
Requires: libgtop = %{PACKAGE_VERSION}

%description devel
Install this package if you wish to develop applications that access
information on system statistics such as CPU and memory usage.

%package examples
Summary: These are examples for LibGTop, a library which retrieves information about your system, such as CPU and memory usage.
Group: System Environment/Libraries
Requires: libgtop = %{PACKAGE_VERSION}

%description examples
Install this package for a set of programs that are examples of developing
with libgtop.

%changelog
* Wed Sep 08 1999 Elliot Lee <sopwith@redhat.com>
- Update to 1.0.2

* Tue Aug 19 1998 Martin Baulig <martin@home-of-linux.org>

- released LibGTop 0.25.0

* Sun Aug 16 1998 Martin Baulig <martin@home-of-linux.org>

- first version of the RPM

%prep
%setup

%build
%ifarch alpha
MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix \
	--without-linux-table --with-libgtop-inodedb \
	--with-libgtop-examples --with-libgtop-guile \
	--with-libgtop-smp $MYARCH_FLAGS
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix \
	--without-linux-table --with-libgtop-inodedb \
	--with-libgtop-examples --with-libgtop-guile \
	--with-libgtop-smp $MYARCH_FLAGS
fi

if [ "$SMP" != "" ]; then
  make MAKE="make -j$SMP"
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

strip $RPM_BUILD_ROOT%{prefix}/bin/* ||:

#
# msf - remove these as they are really supposed to come from gnome-libs
#
# martin - don't remove since they are no longer installed if build
#          with GNOME
#
# rm -f $RPM_BUILD_ROOT/%{prefix}/lib/libgnomesupport.a
# rm -f $RPM_BUILD_ROOT/%{prefix}/lib/libgnomesupport.la
# rm -f $RPM_BUILD_ROOT/%{prefix}/lib/libgnomesupport.so.0
# rm -f $RPM_BUILD_ROOT/%{prefix}/lib/libgnomesupport.so.0.0.0

# Eh why?
# rm -fr $RPM_BUILD_ROOT/%{prefix}/include/libgtop

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc RELNOTES-0.25 RELNOTES-1.0 AUTHORS ChangeLog NEWS README
%doc TODO NEWS.old copyright.txt ANNOUNCE ANNOUNCE-0.25
%doc src/inodedb/README.inodedb README.latest

%{prefix}/lib/lib*.so.*
%{prefix}/bin/*
%{prefix}/share/locale/*/*/*

%files devel
%defattr(-, root, root)

%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/lib/*.sh
%{prefix}/lib/*.def
%{prefix}/include/*

%files examples
%defattr(-,root,root)

%{prefix}/libexec/libgtop/*
